# Installation

{% stepper %}
{% step %}

### Download resource from your CFX key

Head to [CFX Portal](https://portal.cfx.re) and download the resource.
{% endstep %}

{% step %}

### Run the SQL query in your DB Server

You will find the query file in the`[SQL]` folder, or if you lost it you can copy it from here:

{% code title="ZPVIPSystem.sql" fullWidth="false" %}

```sql
CREATE TABLE `zpvipsystem` (
	`identifier` VARCHAR(255) NOT NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
   `name` VARCHAR(255) NOT NULL COLLATE 'utf8mb4_general_ci',	
	`adderidentifier` VARCHAR(255) NOT NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
	`addername` VARCHAR(255) NOT NULL COLLATE 'utf8mb4_general_ci',
	`level` INT(3) NOT NULL,
	`dateadded` DATETIME NOT NULL DEFAULT current_timestamp(),
	`expiredate` VARCHAR(255) NOT NULL DEFAULT '0' COLLATE 'utf8mb4_general_ci',
	PRIMARY KEY (`identifier`) USING BTREE
)
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
```

{% endcode %}

{% endstep %}

{% step %}

### Add all required items and images found in `[requirements]` folder&#x20;

You can either use the included images , or your own , but the names have to match the ones given in the included images.
{% endstep %}

{% step %}

### Add the resource in your server.cfg file

```lua
ensure zp_vip
```

{% endstep %}

{% step %}

### Make sure to update shared.lua with the correct framework

<pre><code><strong>1) (ZP_Vip_System_Shared_Config.Framework)
</strong>2) (ZP_Vip_System_Shared_Config.FrameworkResourceName)
</code></pre>

{% endstep %}

{% step %}

## Dependencies

```
1) mysql-async
2) oxmysql
```

{% endstep %}

{% step %}

### That's it , you can now join your server and make sure everything works!

{% hint style="info" %}
If you have any issues, you can contact us on our [discord](https://discord.gg/KBdcsc3Ep3) !
{% endhint %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infinitypulse.dev/fivem/vip-system/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
